### Function

# GObject signal_handler_unblock

#### Declaration

    void
    g_signal_handler_unblock (
      GObject* instance,
      gulong handler_id
    )

#### Description

Undoes the effect of a previous `g_signal_handler_block()` call. A blocked handler is skipped during signal emissions and will not be invoked, unblocking it (for exactly the amount of times it has been blocked before) reverts its “blocked” state, so the handler will be recognized by the signal system and is called upon future or currently ongoing signal emissions (since the order in which handlers are called during signal emissions is deterministic, whether the unblocked handler in question is called as part of a currently ongoing emission depends on how far that emission has proceeded yet).

The `handler_id` has to be a valid id of a signal handler that is connected to a signal of `instance` and is currently blocked.

#### Parameters

`instance`

  Type: `GObject`

  The instance to unblock the signal handler of.

  The data is owned by the caller of the function.

`handler_id`

  Type: `gulong`

  Handler id of the handler to be unblocked.